Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSalesGraphData.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -105,7 +105,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -136,8 +136,8 @@
                 strcmd += string.Format(",{0}", data.GrossProfit.ToString());
                 strcmd += string.Format(",{0}", data.NetIncome.ToString());
 
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd = strcmd + ")";
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -146,7 +146,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -163,7 +163,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -186,7 +186,7 @@
 
                 strcmd += string.Format(" GraphDataCode = {0}", data.GraphDataCode.ToString());
                 strcmd += string.Format(",ConstructionPeriod = {0}", data.ConstructionPeriod.ToString());
-                strcmd += string.Format(",SalesDataDays = DATE_FORMAT('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
+                strcmd += string.Format(",SalesDataDays = STR_TO_DATE('{0}','%Y/%m/%d')", data.SalesDataDays.ToShortDateString());
                 strcmd += string.Format(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd += string.Format(",DataName = '{0}'", data.DataName);
                 strcmd += string.Format(",SalesAmount = {0}", data.SalesAmount.ToString());
@@ -194,7 +194,7 @@
                 strcmd += string.Format(",GrossProfit = {0}", data.GrossProfit.ToString());
                 strcmd += string.Format(",NetIncome = {0}", data.NetIncome.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -203,7 +203,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -229,7 +229,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -259,11 +259,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
@@ -285,7 +285,7 @@
                 if (ConstructionPeriod != 0)
                     strWork += string.Format(" And ConstructionPeriod = {0}", ConstructionPeriod);
                 if (SalesDataDays != DateTime.MinValue)
-                    strWork += string.Format(" And SalesDataDays = DATE_FORMAT(SalesDataDays, '%Y/%m/%d')", SalesDataDays.ToShortDateString());
+                    strWork += string.Format(" And SalesDataDays = STR_TO_Date(SalesDataDays, '%Y/%m/%d')", SalesDataDays.ToShortDateString());
 
             }
             catch (Exception ex)
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOSystemExecute.cs	(revision 51)
@@ -5,9 +5,10 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
+
 using ProcessManagement.DB.Core;
 using ProcessManagement.DataModel;
 
@@ -64,7 +65,7 @@
             // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
             string strcmd = "SELECT";
             strcmd += "  PrimaryCode";
-            strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d')";
+            strcmd += " ,DATE_FORMAT(TargetDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " ,DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " ,DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
             strcmd += " FROM SystemExecute";
@@ -108,7 +109,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -150,7 +151,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -173,10 +174,10 @@
 
             strcmd += " VALUES (";
             strcmd += string.Format("{0}", work.PrimaryCode);
-            strcmd += string.Format(", DATE_FORMAT('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
+            strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')", work.TargetDate.ToShortDateString());
 
-            strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-            strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+            strcmd += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+            strcmd += ", STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
             strcmd = strcmd + ")";
 
             return strcmd;
@@ -205,7 +206,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -230,7 +231,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -254,9 +255,9 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PrimaryCode = {0}", data.PrimaryCode);
-                strcmd += string.Format(", TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd += string.Format(", TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(sysdate,'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -265,7 +266,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -292,7 +293,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -321,11 +322,11 @@
                         strcmd += string.Format(" PrimaryCode = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.TargetDate:
-                        strcmd += string.Format(" TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += CreatePrimarykeyString(PrimaryCode);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -359,11 +360,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -74,7 +74,7 @@
             {
                 // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
                 strcmd = "SELECT";
-                strcmd += " DATE_FORMAT(TargetDate, '%Y/%m/%d %H:%i:%s')";
+                strcmd += " DATE_FORMAT(TargetDate, '%Y/%m/%d')";
                 strcmd += " ,VehicleCode";
                 strcmd += " ,MorningAfternoon";
                 strcmd += " ,PersonCode";
@@ -101,7 +101,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -128,7 +128,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -151,7 +151,7 @@
 
                     strcmd += " VALUES (";
 
-                    strcmd += string.Format(" DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                    strcmd += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                     strcmd += string.Format(", {0}", data.VehicleCode.ToString());
                     strcmd += string.Format(", {0}", data.MorningAfternoon.ToString());
                     strcmd += string.Format(", {0}", data.PersonCode.ToString());
@@ -159,8 +159,8 @@
                     strcmd += string.Format(", {0}", data.TargetMonth.ToString());
                     strcmd += string.Format(", {0}", data.TargetDay.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -169,7 +169,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -192,7 +192,7 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                 strcmd += string.Format(",VehicleCode = {0}", data.VehicleCode.ToString());
                 strcmd += string.Format(",MorningAfternoon = {0}", data.MorningAfternoon.ToString());
                 strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
@@ -200,7 +200,7 @@
                 strcmd += string.Format(",TargetMonth = {0}", data.TargetMonth.ToString());
                 strcmd += string.Format(",TargetDay = {0}", data.TargetDay.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -209,7 +209,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -236,7 +236,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -266,11 +266,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -298,11 +298,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -318,7 +318,7 @@
             string strWork = string.Empty;
             try
             {
-                strWork = string.Format(" Where TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
+                strWork = string.Format(" Where TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
                 if (VehicleCode != 0)
                     strWork += string.Format(" And VehicleCode = {0}", VehicleCode.ToString());
                 if (MorningAfternoon != 0)
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/AttendanceData.cs	(revision 51)
@@ -0,0 +1,115 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace ProcessManagement.DataModel
+{
+    /// <summary>
+    /// 出勤日報データ定義クラス
+    /// </summary>
+    public class AttendanceData
+    {
+        #region メンバ変数
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        private int         m_PersonCode = 0;
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        private DateTime    m_AttendanceDate = DateTime.Now;
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        private int         m_SeqNo = 0;
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int         m_ConstructionCode = 0;
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        private double      m_OvertimeHours = 0;
+        /// <summary>
+        /// コメント
+        /// </summary>
+        private string      m_WorkingComment = string.Empty;
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        private DateTime    m_EntryDate = DateTime.Now;
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        private DateTime    m_UpdateDate = DateTime.Now;
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 作成者コード
+        /// </summary>
+        public int PersonCode
+        {
+            get { return m_PersonCode; }
+            set { m_PersonCode = value; }
+        }
+        /// <summary>
+        /// 日報作成日
+        /// </summary>
+        public DateTime AttendanceDate
+        {
+            get { return m_AttendanceDate; }
+            set { m_AttendanceDate = value; }
+        }
+        /// <summary>
+        /// 明細行番号
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public int ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 残業時間
+        /// </summary>
+        public double OvertimeHours
+        {
+            get { return m_OvertimeHours; }
+            set { m_OvertimeHours = value; }
+        }
+        /// <summary>
+        /// 作業コメント
+        /// </summary>
+        public string WorkingComment
+        {
+            get { return m_WorkingComment; }
+            set { m_WorkingComment = value; }
+        }
+        /// <summary>
+        /// 登録年月日
+        /// </summary>
+        public DateTime EntryDate
+        {
+            get { return m_EntryDate; }
+            set { m_EntryDate = value; }
+        }
+        /// <summary>
+        /// 更新年月日
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            get { return m_UpdateDate; }
+            set { m_UpdateDate = value; }
+        }
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/BankBusinessDayMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/BankBusinessDayMaster.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/BankBusinessDayMaster.cs	(revision 51)
@@ -0,0 +1,77 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    public class BankBusinessDayMaster
+    {
+        #region メンバ変数
+        private int m_YearMonth = 0;       // 年月
+        private int m_BankBusinessDay = 0;         // 銀行営業日
+        private string m_Note = "";         // 備考
+        private int m_DeleteFlg = 0;        // 削除フラグ
+        private DateTime m_EntryDate = DateTime.Now;    // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;   // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 
+        /// </summary>
+        public int YearMonth
+        {
+            get { return m_YearMonth; }
+            set { m_YearMonth = value; }
+        }
+        /// <summary>
+        /// 
+        /// </summary>
+        public int BankBusinessDay
+        {
+            get { return m_BankBusinessDay; }
+            set { m_BankBusinessDay = value; }
+        }
+        /// <summary>
+        /// 
+        /// </summary>
+        public string Note
+        {
+            get { return m_Note; }
+            set { m_Note = value; }
+        }
+
+        /// <summary>
+        /// 
+        /// </summary>
+        public int DeleteFlg
+        {
+            get { return m_DeleteFlg; }
+            set { m_DeleteFlg = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+
+        #endregion
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/BillingData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/BillingData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/BillingData.cs	(revision 51)
@@ -0,0 +1,77 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    public class BillingData
+    {
+        #region メンバ変数
+        private int m_CompanyCode = 0;                 // 協力会社コード
+        private int m_TargetDate = 0;                   // 対象年月
+        private int m_SeqNo = 0;                        // 連番
+        private long m_BillPrice = 0;                  // 請求金額
+        private DateTime m_EntryDate = DateTime.Now;    // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;   // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 協力会社コード
+        /// </summary>
+        public int CompanyCode
+        {
+            get { return m_CompanyCode; }
+            set { m_CompanyCode = value; }
+        }
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        public int TargetDate
+        {
+            get { return m_TargetDate; }
+            set { m_TargetDate = value; }
+        }
+
+        /// <summary>
+        /// 連番
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        public long BillPrice
+        {
+            get { return m_BillPrice; }
+            set { m_BillPrice = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+        #endregion
+
+    }
+}
Index: branches/src/ProcessManagement/ProcessManagement/DataModel/BillingDataDetail.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DataModel/BillingDataDetail.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DataModel/BillingDataDetail.cs	(revision 51)
@@ -0,0 +1,148 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Threading.Tasks;
+
+namespace ProcessManagement.DataModel
+{
+    public class BillingDataDetail
+    {
+        #region メンバ変数
+        private int m_CompanyCode = 0;                 // 協力会社コード
+        private int m_TargetDate = 0;                   // 対象年月
+        private int m_SeqNo = 0;                        // 連番
+        private int m_LineCount = 0;          // 行番号    
+        private long m_ConstructionCode = 0;   // 工事番号
+        private string m_FieldName = "";          // 現場名
+        private long m_BillPrice = 0;                  // 請求金額
+        private long m_HighwPrice = 0;         // 高速代     
+        private long m_HardwPrice = 0;         // 金物代     
+        private long m_IndsWasteTax = 0;       // 産廃税       
+        private string m_Note = "";             // 備考
+        private DateTime m_EntryDate = DateTime.Now;    // 登録日付
+        private DateTime m_UpdateDate = DateTime.Now;   // 更新日付
+        #endregion
+
+        #region コンストラクタ
+        #endregion
+
+        #region プロパティ
+        /// <summary>
+        /// 協力会社コード
+        /// </summary>
+        public int CompanyCode
+        {
+            get { return m_CompanyCode; }
+            set { m_CompanyCode = value; }
+        }
+        /// <summary>
+        /// 対象年月
+        /// </summary>
+        public int TargetDate
+        {
+            get { return m_TargetDate; }
+            set { m_TargetDate = value; }
+        }
+
+        /// <summary>
+        /// 連番
+        /// </summary>
+        public int SeqNo
+        {
+            get { return m_SeqNo; }
+            set { m_SeqNo = value; }
+        }
+
+        /// <summary>
+        /// 行番号
+        /// </summary>
+        public int LineCount
+        {
+            get { return m_LineCount; }
+            set { m_LineCount = value; }
+        }
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        public long ConstructionCode
+        {
+            get { return m_ConstructionCode; }
+            set { m_ConstructionCode = value; }
+        }
+        /// <summary>
+        /// 現場名
+        /// </summary>
+        public string FieldName
+        {
+            get { return m_FieldName; }
+            set { m_FieldName = value; }
+        }
+        
+        /// <summary>
+        /// 請求金額
+        /// </summary>
+        public long BillPrice
+        {
+            get { return m_BillPrice; }
+            set { m_BillPrice = value; }
+        }
+
+        /// <summary>
+        /// 高速代
+        /// </summary>
+        public long HighwPrice
+        {
+            get { return m_HighwPrice; }
+            set { m_HighwPrice = value; }
+        }
+
+        /// <summary>
+        /// 金物代
+        /// </summary>
+        public long HardwPrice
+        {
+            get { return m_HardwPrice; }
+            set { m_HardwPrice = value; }
+        }
+
+        /// <summary>
+        /// 産廃税
+        /// </summary>
+        public long IndsWasteTax
+        {
+            get { return m_IndsWasteTax; }
+            set { m_IndsWasteTax = value; }
+        }
+
+        /// <summary>
+        /// 備考
+        /// </summary>
+        public string Note  
+        {
+            get { return m_Note; }
+            set { m_Note = value; }
+        }
+
+        /// <summary>
+        /// 登録日付
+        /// </summary>
+        public DateTime EntryDate
+        {
+            set { m_EntryDate = value; }
+            get { return m_EntryDate; }
+        }
+        /// <summary>
+        /// 更新日付
+        /// </summary>
+        public DateTime UpdateDate
+        {
+            set { m_UpdateDate = value; }
+            get { return m_UpdateDate; }
+        }
+
+        #endregion
+
+    }
+}
